%define upstream_name    DateTimeX-Easy
%define upstream_version 0.089

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Parse a date/time string using the best method available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTimeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Parse)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateManip)
BuildRequires: perl(DateTime::Format::Flexible)
BuildRequires: perl(DateTime::Format::ICal)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Time::Zone)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DateTimeX::Easy::DateParse\\)

BuildArch: noarch


%description
DateTimeX::Easy makes DateTime object creation quick and easy. It uses a
variety of DateTime::Format packages to do the bulk of the parsing, with
some custom tweaks to smooth out the rough edges (mainly concerning
timezone detection and selection).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.89.0-10.mga8
+ Revision: 1493913
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.89.0-9.mga7
+ Revision: 1267041
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.89.0-8.mga6
+ Revision: 1025341
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.89.0-7.mga6
+ Revision: 933377
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.89.0-6.mga5
+ Revision: 739851
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 0.89.0-5.mga5
+ Revision: 736734
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.89.0-4.mga5
+ Revision: 684293
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.89.0-3.mga4
+ Revision: 510747
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.89.0-2.mga3
+ Revision: 365669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.89.0-1.mga1
+ Revision: 38475
- mageia rebuild
- imported package perl-DateTimeX-Easy


* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.89.0-1mdv2011.0
+ Revision: 572809
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- update to 0.089

* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.88.0-1mdv2011.0
+ Revision: 543018
- import perl-DateTimeX-Easy


* Thu May 06 2010 cpan2dist 0.088-1mdv
- initial mdv release, generated with cpan2dist
